Subject: Re: [PATCH 2/4] glossary: define committish (a.k.a. commit-ish)

From: Richard Hansen <[email-masked]>
Date: Wed, 19 Jun 2013 00:38:22 -0400

On 2013-06-19 00:19, Ramkumar Ramachandra wrote:
> Is master~3 a committish?  What about :/foomery?

Yes; as documented, both of those are refs that point to a commit.

> Look at the other forms in gitrevisions(7); master:quuxery,
> master^{tree} are notable exceptions.

gitrevisions(7) says that master:quuxery is a ref pointing to a blob or
tree, so it is not a committish.  However, if quuxery is a submodule, I
would expect master:quuxery to point to a commit object and thus be a
committish.  So perhaps the <rev>:<path> description in gitrevisions(7)
should be updated to accommodate submodules.

master^{tree} is guaranteed to be a tree (if such a tree exists), so it
is not a committish.

-Richard